## org.apache.lucene.util
Class TwoPhaseCommitTool.CommitFailException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.lucene.util.TwoPhaseCommitTool.CommitFailException

All Implemented Interfaces:
  Serializable

Enclosing class:
  TwoPhaseCommitTool

    public static class TwoPhaseCommitTool.CommitFailException

extends IOException

Thrown by `TwoPhaseCommitTool.execute(TwoPhaseCommit...)` when an object fails to commit().

See Also:
  Serialized Form

Constructor Summary
`TwoPhaseCommitTool.CommitFailException(Throwable cause, TwoPhaseCommit obj)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TwoPhaseCommitTool.CommitFailException

    public TwoPhaseCommitTool.CommitFailException(Throwable cause,
                                                  TwoPhaseCommit obj)